using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace _27_9
{
    class Program
    {
        static void Main(string[] args)
        {
            string s = Console.ReadLine();
            string[] s1 = s.Split(' ');
            int n = int.Parse(s1[0]);
            int m = int.Parse(s1[1]);
            int r=2*(m+n)-4;
            n -= 2;
            m -= 2;
            for(int i=0; i<n; i++)
            {
                for(int j=0; j<m; j++)
                {
                    if ((i % 2 == 0 && j % 2 == 1) || (i % 2 == 1 && j % 2 == 0))
                        r++;
                }
            }
            Console.WriteLine("{0}",r);
        }
    }
}